Update Inbound Queue

This API allows you to update a particular inbound queue.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample Request

curl --request POST \
     --url https://api-smartflo.tatateleservices.com/v1/dialer/inbound_queue \
     --header 'accept: application/json' \
     --header 'content-type: application/json'

📘 Important!

Before we begin, note that the * sign denotes the mandatory variables in each table.

Request Variables (Body Params)

The following parameter is required to add a new inbound queue:

Variable NameDescriptionData Type
nameName of the Inbound Queuestring
description“What is this inbound queue for” messagestring
ring_strategyRing Strategy of Inbound Queue, valid values are 1,2 or 3 with the following convention: ,['id' => '1', 'name' => 'Random'],['id' => '2', 'name' => 'Fewest Calls'],['id' => '3', 'name' => 'Longest Wait Time'],string
queue_timeoutTime for which the queue will runstring
failover_destinationDestination in case call is not picked, valid format is 'type|id'. For example: hangup||1, dialer_queue||id, voicemail||idstring
music_on_holdTo be played while the calls is connecting to the agents, should be a valid idstring
failover_musicIt will play if no one picks up the call, leave blank for default message, else should be a valid idstring
agent_ring_timeoutThe call will ring on each agent for the defined seconds before trying any other agentstring
sla_durationThis duration will be used to identify if the call was connected to the agent within the specified SLA or outside itstring
agentAgent who gets connected and picks the inbound callstring
sticky_agentFunctionality to choose if same agent gets connectedboolean
sticky_time_formatDays or hours, mandatory field if sticky_time_format is 1. Valid values are 1 and 2. ['id' => '1', 'name' => 'HOURS', 'max' => 24], ['id' => '2', 'name' => 'DAYS', 'max' => 10]string
sticky_time_periodDuration of sticky_agent time in days, mandatory field if sticky_time_format is 1string
callback_customerEnabling this will callback customer at the same queue position if customer has pressed the selected dtmf before call hangupboolean
callback_threshold_timeTime after which the callback can be activated, mandatory field if callback_customer is 1.string
callback_dtmfDTMF for enabling queue callback, mandatory field if callback_customer is 1, valid values are 0-9string
callback_threshold_recordingId of recording to be played to customer after callback threshold is reached,mandatory field if callback_customer is 1string
call_hangup_recordingRecording to be played to customer on hangup after activating callbackstring

Response Variables

The response returned is as following:

Variable NameDescriptionData Type
SuccessThe request success status, the possible values are: True (default) for success. False for failure.Boolean
MessageThe message corresponding to the success status. For example, in 400 Response where the "success" variable pops as True, the message displayed is shown here.String
Path Params
string
required
Body Params
string

Name of the Inbound Queue

string

Ring Strategy of Inbound Queue, valid values are 1,2 or 3 with the following convention: ,['id' => '1', 'name' => 'Random'],['id' => '2', 'name' => 'Fewest Calls'],['id' => '3', 'name' => 'Longest Wait Time'],

string

Time for which the queue will run

string

Destination in case call is not picked, valid format is 'type|id'. For example: hangup||1, dialer_queue||id, voicemail||id

string

To be played while the calls is connecting to the agents, should be a valid id

string

It will play if no one picks up the call, leave blank for default message, else should be a valid id

string

The call will ring on each agent for the defined seconds before trying any other agent

string

This duration will be used to identify if the call was connected to the agent within the specified SLA or outside it

string

Agent who gets connected and picks the inbound call

boolean

Functionality to choose if same agent gets connected

string

Days or hours, mandatory field if sticky_time_format is 1. Valid values are 1 and 2. ['id' => '1', 'name' => 'HOURS', 'max' => 24], ['id' => '2', 'name' => 'DAYS', 'max' => 10]

string

Duration of sticky_agent time in days, mandatory field if sticky_time_format is 1

boolean

Enabling this will callback customer at the same queue position if customer has pressed the selected dtmf before call hangup

string

Time after which the callback can be activated, mandatory field if callback_customer is 1.

string

DTMF for enabling queue callback, mandatory field if callback_customer is 1, valid values are 0-9

string

Id of recording to be played to customer after callback threshold is reached,mandatory field if callback_customer is 1

string

Recording to be played to customer on hangup after activating callback

Headers
string
required
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json